ApiEnableCspArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiEnableCspArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiEnableCspArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiEnableCspArguments
      extends Object

  ApiEnableCspArguments

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiEnableCspArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiEnableCspArguments` | `cspAddress(String cspAddress)`
    `ApiEnableCspArguments` | `cspSecretPath(String cspSecretPath)`
    `ApiEnableCspArguments` | `cspStoragePath(String cspStoragePath)`
    `ApiEnableCspArguments` | `cspType(String cspType)`
    `boolean` | `equals(Object o)`
    `String` | `getCspAddress()` Get cspAddress
    `String` | `getCspSecretPath()` Get cspSecretPath
    `String` | `getCspStoragePath()` Get cspStoragePath
    `String` | `getCspType()` Get cspType
    `int` | `hashCode()`
    `void` | `setCspAddress(String cspAddress)`
    `void` | `setCspSecretPath(String cspSecretPath)`
    `void` | `setCspStoragePath(String cspStoragePath)`
    `void` | `setCspType(String cspType)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiEnableCspArguments

          public ApiEnableCspArguments()

  - ### Method Detail

    - #### cspType

          public ApiEnableCspArguments cspType(String cspType)

    - #### getCspType

          public String getCspType()

      Get cspType
      Returns:
        cspType

    - #### setCspType

          public void setCspType(String cspType)

    - #### cspStoragePath

          public ApiEnableCspArguments cspStoragePath(String cspStoragePath)

    - #### getCspStoragePath

          public String getCspStoragePath()

      Get cspStoragePath
      Returns:
        cspStoragePath

    - #### setCspStoragePath

          public void setCspStoragePath(String cspStoragePath)

    - #### cspSecretPath

          public ApiEnableCspArguments cspSecretPath(String cspSecretPath)

    - #### getCspSecretPath

          public String getCspSecretPath()

      Get cspSecretPath
      Returns:
        cspSecretPath

    - #### setCspSecretPath

          public void setCspSecretPath(String cspSecretPath)

    - #### cspAddress

          public ApiEnableCspArguments cspAddress(String cspAddress)

    - #### getCspAddress

          public String getCspAddress()

      Get cspAddress
      Returns:
        cspAddress

    - #### setCspAddress

          public void setCspAddress(String cspAddress)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.